#pragma once
#include "gui/guecstra.hpp"
#include "levelmanager.hpp"
#include <SFML/Graphics/RenderWindow.hpp>
#include <SFML/Graphics/Font.hpp>
#include <guecs/ui.hpp>
#include "events.hpp"

namespace gui {
  class LootUI {
    public:
      bool active = false;
      guecs::UI $gui;
      GameLevel $level;
      std::unordered_map<DinkyECS::Entity, DinkyECS::Entity> contents;

      LootUI(GameLevel level);
      void init();
      void update();
      void render(sf::RenderWindow& window);
      void update_level(GameLevel &level);
      bool mouse(float x, float y, bool hover);
      void make_button(const std::string &name, const std::wstring& label, Events::GUI event);

      void remove_slot(DinkyECS::Entity slot_id);
      bool place_slot(DinkyECS::Entity gui_id, DinkyECS::Entity world_entity);
  };
}
